<?php
include($_SERVER['DOCUMENT_ROOT'] . "/" . $this->basePath() . '/public/barcodecoy/qrlib.php');

$PNG_TEMP_DIR = $_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' .
        $data['t_idjenisobjek'] . '/' . $data['t_periodepajak'] . '/' .
        $data['t_idtransaksi'] . '/';

$PNG_WEB_DIR = $_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' .
        $data['t_idjenisobjek'] . '/' . $data['t_periodepajak'] . '/' .
        $data['t_idtransaksi'] . '/';

if (!file_exists($PNG_TEMP_DIR)) {
    mkdir($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/' . $data['t_periodepajak'] . '/' . $data['t_idtransaksi'] . '/', 0777, true);
    chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/', 0777);
    chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/' . $data['t_periodepajak'] . '/', 0777);
    chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/' . $data['t_periodepajak'] . '/' . $data['t_idtransaksi'] . '/', 0777);
}

$errorCorrectionLevel = 'L';
$matrixPointSize = 3;
$barcode = $data['t_kodebayar'];

$filename = $PNG_TEMP_DIR . '' . $data['t_idjenisobjek'] . '_' . $data['t_periodepajak'] . '_' . $data['t_idtransaksi'] . '_' . md5($barcode . '|' . $errorCorrectionLevel . '|' . $matrixPointSize) . '.png';
QRcode::png($barcode, $filename, $errorCorrectionLevel, $matrixPointSize, 2);

$tampilbarcode = '<img src="' . $_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/' . $data['t_periodepajak'] . '/' . $data['t_idtransaksi'] . '/' . basename($filename) . '" />';
?>

<style type="text/css">
    .border_atas {
        border-top: 1px solid black;
        border-collapse: collapse;
    }

    .border_kiri {
        border-left: 1px solid black;
        border-collapse: collapse;
    }

    .border_kanan {
        border-right: 1px solid black;
        border-collapse: collapse;
    }

    .border_bawah {
        border-bottom: 1px solid black;
        border-collapse: collapse;
    }

    .font_besar {
        font-size: 12pt;
    }

    .font_kecil {
        font-size: 10pt;
    }

    .font_lima {
        font-size: 7pt;
    }

    .font_tujuh {
        font-size: 7pt;
    }  

    .font_sepuluh {
        font-size: 10pt;
    }    

    .font_sembilan {
        font-size: 9pt;
    }    
    table{font-family: arial;}
    @page{margin: 35px;}
</style>
<?php
ini_set("max_execution_time", 500);
if (!function_exists('kekata')) {

    function kekata($x) {
        $x = abs($x);
        $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
            "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
        $temp = "";
        if ($x < 12) {
            $temp = " " . $angka[$x];
        } else if ($x < 20) {
            $temp = kekata($x - 10) . " Belas";
        } else if ($x < 100) {
            $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
        } else if ($x < 200) {
            $temp = " Seratus" . kekata($x - 100);
        } else if ($x < 1000) {
            $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
        } else if ($x < 2000) {
            $temp = " Seribu" . kekata($x - 1000);
        } else if ($x < 1000000) {
            $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
        } else if ($x < 1000000000) {
            $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
        } else if ($x < 1000000000000) {
            $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
        } else if ($x < 1000000000000000) {
            $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
        }
        return $temp;
    }

}

function terbilang($x, $style = 4) {
    if ($x < 0) {
        $hasil = "MINUS " . trim(kekata($x));
    } else {
        $hasil = trim(kekata($x));
    }
    switch ($style) {
        case 1:
            $hasil = strtoupper($hasil);
            break;
        case 2:
            $hasil = strtolower($hasil);
            break;
        case 3:
            $hasil = ucwords($hasil);
            break;
        default:
            $hasil = ucfirst($hasil);
            break;
    }
    return $hasil;
}

//        $jatuhtempo = date('Y-m-d', strtotime("+7 days" . $data['t_tgljatuhtempo']));
$jatuhtempo = $data['t_tgljatuhtempo'];
$tglsekarang = date('Y-m-d');

$ts1 = strtotime($jatuhtempo);
$ts2 = strtotime($tglsekarang);

$year1 = date('Y', $ts1);
$year2 = date('Y', $ts2);

$month1 = date('m', $ts1);
$month2 = date('m', $ts2);

$day1 = date('d', $ts1);
$day2 = date('d', $ts2);
if ($day1 < $day2) {
    $tambahanbulan = 1;
} else {
    $tambahanbulan = 0;
}

$jmlbulan = (($year2 - $year1) * 12) + ($month2 - $month1 + $tambahanbulan);
if ($jmlbulan > $data['s_maxbulandenda']) {
    $jmlbulan = $data['s_maxbulandenda'];
    $jmldenda = round($jmlbulan * 2 / 100 * $data['t_jmlhpajak']);
} elseif ($jmlbulan <= 0) {
    $jmlbulan = 0;
    $jmldenda = round($jmlbulan * 2 / 100 * $data['t_jmlhpajak']);
} else {
    $jmldenda = round($jmlbulan * 2 / 100 * $data['t_jmlhpajak']);
}
?>
<table class="border_atas border_bawah border_kanan border_kiri font_sembilan" style="width: 100%;font-family: arial;">
    <tr>
        <td style="padding:10px;">
            <?php $gambar = $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo; ?> 
            <?php $gambar_bank = $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/public/upload/logo_bank.png"; ?> 
            <img src="<?= $gambar ?>" width="70" />
        </td>
        <td style="padding-right:20px;"><center>
        <span style="font-size:10pt">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota) ?></span>
        <br>
        <span style="font-size:12pt; font-weight: bold"><?= strtoupper($ar_pemda->s_namainstansi) ?></span>
        <br>
        <span style="font-size:8pt"><?= strtoupper($ar_pemda->s_alamatinstansi . ' ' . $ar_pemda->s_namaibukotakabkota) ?> <br>Telp/Fax <?= $ar_pemda->s_notelinstansi ?></span>
    </center>
</td>
<td class="border_kiri"><?= $tampilbarcode ?></td>
<td style="text-align: center" class="font_sepuluh border_kiri">
    <img src="<?= $gambar_bank ?>" style="width:60px; padding: 5px"  /><br>
    Kode Bayar<br>
    <b><?= $data['t_kodebayar']; ?></b>
</td>
</tr>
</table>
<table class="border_bawah border_kanan border_kiri font_sepuluh" style="width: 100%;font-family: arial;">
    <tr>
        <td colspan="2" style="padding:2px; border-spacing:0px;text-align:center;font-size:16pt;" class="border_bawah">
            <b>KODE PEMBAYARAN <?= strtoupper($data['s_namajenispajak']) ?></b>
        </td>
    </tr>
    <tr>
        <td style="padding:2px; border-spacing:0px; padding-left: 15px; width: 25%; padding-top: 10px;">
            NPWPD
        </td>
        <td style="padding:2px;border-spacing:0px; padding-top: 10px;">
            : <strong style="font-size:12pt;"><?= $data['t_npwpd'] ?></strong>
        </td>
    </tr>
    <tr>
        <td style="padding:2px; border-spacing:0px; padding-left: 15px;">
            Nama WP
        </td>
        <td style="padding:2px;border-spacing:0px;">
            : <?= strtoupper($data['t_nama']) ?>
        </td>
    </tr>
    <tr>
        <td style="padding:2px; border-spacing:0px; padding-left: 15px;">
            Nama Pemilik
        </td>
        <td style="padding:2px;border-spacing:0px;">
            : <?= strtoupper($data['t_namapemilik']) ?>
        </td>
    </tr>
    <tr>
        <td style="padding:2px; border-spacing:0px; padding-left: 15px;">
            NIOP
        </td>
        <td class="border_kanan" style="padding:2px;border-spacing:0px;">
            : <?= $data['t_nop'] ?>
        </td>
    </tr>
    <tr>
        <td style="padding:2px; border-spacing:0px; padding-left: 15px;">
            Nama Objek
        </td>
        <td class="border_kanan" style="padding:2px; border-spacing:0px;">
            : <?= $data['t_namaobjek'] ?>
        </td>
    </tr>
    <tr>
        <td style="padding:2px; border-spacing:0px; padding-left: 15px;vertical-align: top;">
            Alamat Objek
        </td>
        <td class="border_kanan" style="padding:2px; border-spacing:0px;">
            : <?= $data['t_alamatobjek'] . ", Kel./Desa " . $data['s_namakelobjek'] . ", Kec. " . $data['s_namakecobjek'] ?>
        </td>
    </tr>
    <tr>
        <td style="padding:2px; border-spacing:0px; padding-left: 15px;vertical-align:top;">
            Jenis Pajak
        </td>
        <td class="border_kanan" style="padding:2px; border-spacing:0px;">
            : <?= $data['s_namajenis'] . '<br>&nbsp;&nbsp;' . $data['korek'] . ' - ' . $data['s_namakorek'] ?>
        </td>
    </tr>
    <tr>
        <td style="padding:2px; border-spacing:0px; padding-left: 15px;">
            Masa Pajak
        </td>
        <td class="border_kanan" style="padding:2px; border-spacing:0px;">
            : <?= date('d-m-Y', strtotime($data['t_masaawal'])) ?> s/d <?= date('d-m-Y', strtotime($data['t_masaakhir'])) ?>
        </td>
    </tr>
    <tr>
        <td style="padding:0; border-spacing:2px; padding-left: 15px;">
            Tgl Jatuh Tempo
        </td>
        <td class="border_kanan" style="padding:2px; border-spacing:0px;">
            : <?= date('d-m-Y', strtotime($data['t_tgljatuhtempo'])) ?>
        </td>
    </tr>
    <tr>
        <td style="padding:0; border-spacing:2px; padding-left: 15px;font-weight: bold;">
            Tagihan Pokok
        </td>
        <td class="border_kanan" style="padding:2px; border-spacing:0px;font-weight: bold;">
            : Rp. <?= number_format($data['t_jmlhpajak'], 0, ',', '.') ?>,-
        </td>
    </tr>
    <?php
    if (empty($data['t_tglpembayaran'])) {
        $kena_denda = $jmldenda;
        $jmlhpembayaran = $data['t_jmlhpajak'] + $kena_denda;
    } else {
        $kena_denda = $data['t_jmlhbayardenda'];
        $jmlhpembayaran = $data['t_jmlhpembayaran'];
    }
    ?>
    <tr>
        <td style="padding:0; border-spacing:2px; padding-left: 15px;font-weight: bold;">
            Denda 
        </td>
        <td class="border_kanan" style="padding:2px; border-spacing:0px;">
            <b>: Rp. <?= number_format($kena_denda, 0, ',', '.') ?>,-</b> &nbsp;&nbsp;&nbsp;&nbsp;<?php if (empty($data['t_tglpembayaran'])) { ?><span style="color:red;font-size: 9pt"><i>(Perhitungan Denda sampai dengan tanggal <?= date('d-m-Y', strtotime($tglsekarang)) ?>)</i></span><?php } ?>
        </td>
    </tr>
    <tr>
        <td style="padding:0; border-spacing:2px; padding-left: 15px;font-weight: bold;">
            Jumlah Pembayaran
        </td>
        <td class="border_kanan" style="padding:2px; border-spacing:0px;font-weight: bold;">
            : Rp. <?= number_format($jmlhpembayaran, 0, ',', '.') ?>,-
        </td>
    </tr>
    <tr>
        <td style="padding:2px; border-spacing:2px; padding-left: 15px; padding-bottom: 10px;">
            Terbilang
        </td>
        <td class="border_kanan" style="padding:2px; border-spacing:0px; padding-bottom: 10px;">
            : <?= terbilang($jmlhpembayaran); ?> Rupiah
        </td>
    </tr>
    <?php if (!empty($data['t_tglpembayaran'])) { ?>

        <tr>
            <td style="padding:2px; border-spacing:2px; padding-left: 15px; padding-bottom: 10px;">
                Status Pembayaran 
            </td>
            <td class="border_kanan" style="padding:2px; border-spacing:0px; padding-bottom: 10px;">
                : <b style="color:green;font-size: 12pt;">LUNAS <small>(Tanggal <?= date('d-m-Y', strtotime($data['t_tglpembayaran'])) ?>)</small></b>
            </td>
        </tr>
    <?php } ?>
</table>
<span style="font-size: 7pt;">*) Denda akan terhitung secara otomatis saat anda melakukan pembayaran ke bank.</span>
<div style="font-size: 7pt;right: 40px;position: absolute;background: black;color: white;padding: 0px 10px 0px 10px;"><i>Print by SIMPATDA</i></div>
